<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Logger Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classLogger.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classLogger-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Logger Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classLogger.html" title="Logger class - handles ofstreams and syslog. ">Logger</a> class - handles ofstreams and syslog.  
 <a href="classLogger.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Logger_8h_source.html">Logger.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Logger:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classLogger.png" usemap="#Logger_map" alt=""/>
  <map id="Logger_map" name="Logger_map">
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abc41bfb031d896170c7675fa96a6b30c"><td class="memItemLeft" align="right" valign="top"><a id="abc41bfb031d896170c7675fa96a6b30c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLogger.html#abc41bfb031d896170c7675fa96a6b30c">Logger</a> ()</td></tr>
<tr class="memdesc:abc41bfb031d896170c7675fa96a6b30c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor - derived from std::ostream. <br /></td></tr>
<tr class="separator:abc41bfb031d896170c7675fa96a6b30c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb668a9e186a25fbaad2e4af6d1ed00a"><td class="memItemLeft" align="right" valign="top"><a id="acb668a9e186a25fbaad2e4af6d1ed00a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLogger.html#acb668a9e186a25fbaad2e4af6d1ed00a">~Logger</a> ()</td></tr>
<tr class="memdesc:acb668a9e186a25fbaad2e4af6d1ed00a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor - close our logging stream. <br /></td></tr>
<tr class="separator:acb668a9e186a25fbaad2e4af6d1ed00a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ac4bdff29b02fce14790d903cc598f6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLogger.html#a9ac4bdff29b02fce14790d903cc598f6">open</a> (std::string file)</td></tr>
<tr class="memdesc:a9ac4bdff29b02fce14790d903cc598f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open our logging output.  <a href="#a9ac4bdff29b02fce14790d903cc598f6">More...</a><br /></td></tr>
<tr class="separator:a9ac4bdff29b02fce14790d903cc598f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afee2bab560c2db0190c980884d33868c"><td class="memItemLeft" align="right" valign="top"><a id="afee2bab560c2db0190c980884d33868c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLogger.html#afee2bab560c2db0190c980884d33868c">close</a> ()</td></tr>
<tr class="memdesc:afee2bab560c2db0190c980884d33868c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Close depending on type. <br /></td></tr>
<tr class="separator:afee2bab560c2db0190c980884d33868c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a424be465f9eb007a83e31a92e2c0fcf1"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classLogger.html#a424be465f9eb007a83e31a92e2c0fcf1">types</a> ()</td></tr>
<tr class="memdesc:a424be465f9eb007a83e31a92e2c0fcf1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Provide a list of available logging types.  <a href="#a424be465f9eb007a83e31a92e2c0fcf1">More...</a><br /></td></tr>
<tr class="separator:a424be465f9eb007a83e31a92e2c0fcf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classLogger.html" title="Logger class - handles ofstreams and syslog. ">Logger</a> class - handles ofstreams and syslog. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a9ac4bdff29b02fce14790d903cc598f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ac4bdff29b02fce14790d903cc598f6">&#9670;&nbsp;</a></span>open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Logger::open </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>file</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Open our logging output. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">file</td><td>input file name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a424be465f9eb007a83e31a92e2c0fcf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a424be465f9eb007a83e31a92e2c0fcf1">&#9670;&nbsp;</a></span>types()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Logger::types </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Provide a list of available logging types. </p>
<dl class="section return"><dt>Returns</dt><dd>std::string list of available logging types </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="Logger_8h_source.html">Logger.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classLogger.html">Logger</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
